package cn.bunny.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户信息
 * </p>
 *
 * @author Bunny
 * @since 2024-05-13
 */
@Getter
@Setter
@Accessors(chain = true)
@Schema(description = "用户信息")
public class User implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "用户ID")
    @TableId(value = "user_id", type = IdType.AUTO)
    private String userId;

    @Schema(description = "昵称")
    private String nickName;

    @Schema(description = "邮箱")
    private String email;

    @Schema(description = "密码")
    private String password;

    @Schema(description = "0:女 1:男")
    private Integer sex;

    @Schema(description = "个人描述")
    private String personDescription;

    @Schema(description = "加入时间")
    private LocalDateTime joinTime;

    @Schema(description = "最后登录时间")
    private LocalDateTime lastLoginTime;

    @Schema(description = "最后登录IP")
    private String lastLoginIp;

    @Schema(description = "最后登录ip地址")
    private String lastLoginIpAddress;

    @Schema(description = "积分")
    private Integer totalIntegral;

    @Schema(description = "当前积分")
    private Integer currentIntegral;

    @Schema(description = "0:禁用 1:正常")
    private Byte status;
}
