package cn.bunny.entity.system;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 用户积分记录表
 * </p>
 *
 * @author Bunny
 * @since 2024-05-13
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("user_integral_record")
@Schema(description = "用户积分记录表")
public class UserIntegralRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    @Schema(description = "记录ID")
    @TableId(value = "record_id", type = IdType.AUTO)
    private Integer recordId;

    @Schema(description = "用户ID")
    private String userId;

    @Schema(description = "操作类型")
    private Byte operType;

    @Schema(description = "积分")
    private Integer integral;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;
}
