package cn.bunny.service.web.controller;

import cn.bunny.common.result.utils.Result;
import cn.bunny.dto.LoginDto;
import cn.bunny.service.web.service.LoginService;
import cn.bunny.vo.system.LoginVo;
import cn.bunny.vo.system.ValidateCodeVo;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@Tag(name = "登录和注册相关接口")
@RequestMapping("/api")
@RestController
public class LoginController {
    @Autowired
    private LoginService loginService;

    @Operation(summary = "登录接口", description = "前台用户登录接口")
    @PostMapping("login")
    public Result<LoginVo> login(@RequestBody LoginDto loginDto) {
        LoginVo vo = loginService.login(loginDto);
        return Result.success(vo);
    }

    @Operation(summary = "生成验证码", description = "生成验证码")
    @GetMapping("checkCode")
    public Result<ValidateCodeVo> checkCode() {
        ValidateCodeVo vo = loginService.checkCode();
        return Result.success(vo);
    }
}
