package cn.bunny.service.web.service;

import cn.bunny.dto.LoginDto;
import cn.bunny.entity.system.User;
import cn.bunny.vo.system.LoginVo;
import cn.bunny.vo.system.ValidateCodeVo;
import com.baomidou.mybatisplus.extension.service.IService;

public interface LoginService extends IService<User> {
    /**
     * 前台用户登录接口
     *
     * @param loginDto 登录参数
     * @return 登录后结果返回
     */
    LoginVo login(LoginDto loginDto);

    /**
     * 生成验证码
     *
     * @return 验证码生成信息
     */
    ValidateCodeVo checkCode();
}
